The Last Sword You Will Ever Need [1.6.4] for Minecraft


The Last Sword You Will Ever Need mod for Minecraft that adds to your game with giant swords damage. The new weapon will destroy any creature with a single blow.

Download and install a mod the Last Sword You Will Ever Need for Minecraft you can use the links under the description.

Powered by Yandex.Translate

Added: strihn
 2015-06-10 11:12:56
Required client version 1.6.4
Requires Forge API Forge API for Minecraft

 Views: 566
Virus Detection Ratio: 0% (0/57)
 Downloads: 16

Similar mods

Add comment

Not well provided author? Mistakes in mod description? Contact us, buddy!
Add new comment
Top users
0.1